# $Revision: 1.34 $, $Date: 2007/01/30 22:13:34 $
Summary:	Remembers telnet and SSH sessions
Summary(pl):	Zapamitywanie sesji telnet i SSH
Name:		putty
Version:	0.59
Release:	1
License:	MIT-licensed
Group:		X11/Applications/Networking
Source0:	http://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz
# Source0-md5:	2c90f3aecd2e4b41df61fb047a6c8f11
Source1:	%{name}.desktop
Source2:	%{name}tel.desktop
Source3:	pterm.desktop
Source4:	%{name}.xpm
Source5:	%{name}cfg.xpm
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Obsoletes:	%{name}-X11
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PuTTY is a free implementation of telnet and SSH for Win32 platforms,
along with an xterm terminal emulator, ported into Unix platform.

%description -l pl
PuTTY jest darmow implementacj telnetu i SSH dla platform Win32,
cznie z emulatorem terminala xterm, przeniesion na platform
uniksow.

%package progs
Summary:	PuTTY additional programs
Summary(pl):	Dodatkowe programy dla PuTTY
Group:		X11/Applications/Networking

%description progs
PuTTY is a free implementation of telnet and SSH for Win32 platforms,
along with an xterm terminal emulator, ported into Unix platform.

This package contains additional programs for PuTTY.

%description progs -l pl
PuTTY jest darmow implementacj telnetu i SSH dla platform Win32,
cznie z emulatorem terminala xterm, przeniesion na platform
uniksow.

Ten pakiet zawiera dodatkowe programy dla PuTTY.

%package puttytel
Summary:	puttytel application
Summary(pl):	Aplikacja puttytel
Group:		X11/Applications/Networking

%description puttytel
PuTTY is a free implementation of telnet and SSH for Win32 platforms,
along with an xterm terminal emulator, ported into Unix platform.

This package contains puttytel application.

%description puttytel -l pl
PuTTY jest darmow implementacj telnetu i SSH dla platform Win32,
cznie z emulatorem terminala xterm, przeniesion na platform
uniksow.

Ten pakiet zawiera program puttytel.

%package pterm
Summary:	PuTTY terminal
Summary(pl):	Terminal PuTTY
Group:		Applications/Terminal

%description pterm
Pterm is terminal emulator from PuTTY package.

%description pterm -l pl
Pterm jest emulatorem terminala z pakietu PuTTY.

%prep
%setup -q
%patch0 -p1

%build
cd unix
%{__make} -f Makefile.gtk \
	CFLAGS="%{rpmcflags} `gtk-config --cflags` -I. -I.. -I../charset" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}
cd unix
%{__make} -f Makefile.gtk install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	mandir=%{_mandir}
cd ..
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.xpm
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}/pterm.xpm
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}tel.xpm
install %{SOURCE5} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENCE README
%attr(755,root,root) %{_bindir}/putty
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.xpm
%{_mandir}/man1/putty.1*

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/plink
%attr(755,root,root) %{_bindir}/pscp
%attr(755,root,root) %{_bindir}/psftp
%attr(755,root,root) %{_bindir}/puttygen
%{_mandir}/man1/plink.1*
%{_mandir}/man1/pscp.1*
%{_mandir}/man1/psftp.1*
%{_mandir}/man1/puttygen.1*

%files puttytel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}tel
%{_desktopdir}/%{name}tel.desktop
%{_pixmapsdir}/%{name}tel.xpm
%{_mandir}/man1/%{name}tel.1*

%files pterm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pterm
%{_desktopdir}/pterm.desktop
%{_pixmapsdir}/pterm.xpm
%{_mandir}/man1/pterm.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: putty.spec,v $
Revision 1.34  2007/01/30 22:13:34  lisu
- 0.59

Revision 1.33  2006/09/25 11:17:50  havner
- this is bogus now as those manunals exist and are in different dir

Revision 1.32  2005/07/17 19:42:25  qboosh
- updated pl descs

Revision 1.31  2005/07/17 11:12:58  glen
- update URL
- rel 2

Revision 1.30  2005/07/17 11:10:11  glen
- X11 renamed to main package
- main package renamed to progs package
- cleanups

Revision 1.29  2005/07/16 11:25:46  glen
- propose to fix package naming

Revision 1.28  2005/04/06 15:33:16  paszczus
- updated to 0.58

Revision 1.27  2005/03/18 15:49:33  darekr
- simplified %prep; quote CC

Revision 1.26  2005/02/21 19:58:05  czucz
- updated to 0.57 , security fixes

Revision 1.25  2004/10/29 20:01:08  blues
- release 2

Revision 1.24  2004/10/29 19:53:28  blues
- release 1.1

Revision 1.23  2004/10/26 19:19:29  domelu
- SECURITY UPDATE, up to 0.56 (NFY)

Revision 1.22  2004/09/11 18:24:54  wolf
- fixed group
- rel 3

Revision 1.21  2004/08/10 13:37:10  blues
- release 2

Revision 1.20  2004/08/10 13:31:55  blues
- release 1.1

Revision 1.19  2004/08/04 18:34:04  adamg
- updated to 0.55 (security fix)

Revision 1.18  2004/07/03 22:44:51  havner
- applnk -> vfolders

Revision 1.17  2004/06/08 07:19:21  blues
- release 2

Revision 1.16  2004/06/01 19:14:47  adamg
- updated to 0.54

Revision 1.15  2004/02/12 22:42:51  eothane
- up to 0.54

Revision 1.14  2004/01/01 18:59:21  blues
- release 3 - separated puttytel and pterm separate package. Removed not
  needed (it seems) icons.

Revision 1.13  2004/01/01 17:48:21  adamg
- separted X from non-X packages [which was in ToDo list]

Revision 1.12  2004/01/01 02:44:16  adamg
- updated to snap 2004-01-01

Revision 1.11  2003/09/14 21:48:57  blues
- release 2

Revision 1.10  2003/09/03 16:22:30  blues
- added pterm and puttytel desktops

Revision 1.9  2003/09/02 20:21:21  undefine
- use _prefix instead of /usr

Revision 1.8  2003/09/01 23:21:39  undefine
- typo

Revision 1.7  2003/08/31 21:36:32  ankry
- pl

Revision 1.6  2003/08/31 13:52:44  blues
- added converted icons and desktop for putty

Revision 1.5  2003/08/31 13:00:31  djurban
- fix for sure

Revision 1.4  2003/08/31 12:58:25  djurban
- fix cflags

Revision 1.3  2003/08/31 12:25:54  blues
- next TODO

Revision 1.2  2003/08/31 12:12:19  blues
- release 1 - it WORKS! :)

Revision 1.1  2003/08/31 11:34:15  blues
- raw initial release
